# Change Log

## [8.x-1.0-rc1](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-rc1) (2017-09-25)
[Full Changelog](https://github.com/nuvoleweb/ui_patterns/compare/8.x-1.0-beta7...8.x-1.0-rc1)

**Fixed bugs:**

- Drupal 8.4.x compatibility [\#126](https://github.com/nuvoleweb/ui_patterns/issues/126)
- Defining library dependencies [\#120](https://github.com/nuvoleweb/ui_patterns/issues/120)
- Looks for templates in the wrong folder [\#110](https://github.com/nuvoleweb/ui_patterns/issues/110)
- Field destination values are not saved correctly [\#99](https://github.com/nuvoleweb/ui_patterns/issues/99)
- Make sure that preview property is not required to be set [\#90](https://github.com/nuvoleweb/ui_patterns/issues/90)

**Closed issues:**

- Views page result not displaying entity fields [\#132](https://github.com/nuvoleweb/ui_patterns/issues/132)
- Theme configuration and UI Patterns Views Problem [\#131](https://github.com/nuvoleweb/ui_patterns/issues/131)
- Pattern link encountered unexpected error [\#130](https://github.com/nuvoleweb/ui_patterns/issues/130)
- Setup project development using Drupal Component Scaffold [\#128](https://github.com/nuvoleweb/ui_patterns/issues/128)
- Field Groups are not working [\#111](https://github.com/nuvoleweb/ui_patterns/issues/111)
- Document that field\_layout is required to assign patterns to displays [\#107](https://github.com/nuvoleweb/ui_patterns/issues/107)
- Should a views pattern work with Search API? [\#103](https://github.com/nuvoleweb/ui_patterns/issues/103)
- Class "Drupal\ui\_patterns\Plugin\Validation\Constraint\PatternConstraintTrait" does not exist [\#100](https://github.com/nuvoleweb/ui_patterns/issues/100)
- Cannot add fields at Manage display page [\#95](https://github.com/nuvoleweb/ui_patterns/issues/95)
- Decentralise plugin manager responsibilities towards pattern plugin classes [\#91](https://github.com/nuvoleweb/ui_patterns/issues/91)

**Merged Pull Requests**

- Add entity and view objects to pattern context \#97 [\#138](https://github.com/nuvoleweb/ui_patterns/pull/138) ([ademarco](https://github.com/ademarco))
- Use getLabel on field definition [\#135](https://github.com/nuvoleweb/ui_patterns/pull/135) ([ademarco](https://github.com/ademarco))
- Defining library dependencies \#120 [\#134](https://github.com/nuvoleweb/ui_patterns/pull/134) ([ademarco](https://github.com/ademarco))
- Drupal 8.4.x compatibility \#126 [\#133](https://github.com/nuvoleweb/ui_patterns/pull/133) ([ademarco](https://github.com/ademarco))
- Setup project development using Drupal Component Scaffold \#128 [\#129](https://github.com/nuvoleweb/ui_patterns/pull/129) ([ademarco](https://github.com/ademarco))
- Make sure that preview property is not required to be set \#90 [\#115](https://github.com/nuvoleweb/ui_patterns/pull/115) ([ademarco](https://github.com/ademarco))
- Looks for templates in the wrong folder \#110 [\#114](https://github.com/nuvoleweb/ui_patterns/pull/114) ([ademarco](https://github.com/ademarco))
- Fix Travis build [\#113](https://github.com/nuvoleweb/ui_patterns/pull/113) ([ademarco](https://github.com/ademarco))
- Fix field select option values [\#98](https://github.com/nuvoleweb/ui_patterns/pull/98) ([aleksip](https://github.com/aleksip))
- Decentralise plugin manager responsibilities towards pattern plugin classes \#91 [\#92](https://github.com/nuvoleweb/ui_patterns/pull/92) ([ademarco](https://github.com/ademarco))

## [8.x-1.0-beta7](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-beta7) (2017-04-12)
[Full Changelog](https://github.com/nuvoleweb/ui_patterns/compare/8.x-1.0-beta6...8.x-1.0-beta7)

**Fixed bugs:**

- Improve "use:" property processing [\#83](https://github.com/nuvoleweb/ui_patterns/issues/83)

**Closed issues:**

- Fatal error when setting pattern as default field formatter [\#28](https://github.com/nuvoleweb/ui_patterns/issues/28)

**Merged Pull Requests**

- Support new Drupal 8.3 layout\_discovery core module and decommission layout\_plugin \#80 [\#93](https://github.com/nuvoleweb/ui_patterns/pull/93) ([ademarco](https://github.com/ademarco))
- Move preview and YAML definition to a separate module \#86 [\#88](https://github.com/nuvoleweb/ui_patterns/pull/88) ([ademarco](https://github.com/ademarco))
- Improve "use:" property processing \#83 [\#84](https://github.com/nuvoleweb/ui_patterns/pull/84) ([ademarco](https://github.com/ademarco))

## [8.x-1.0-beta6](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-beta6) (2017-03-19)
[Full Changelog](https://github.com/nuvoleweb/ui_patterns/compare/8.x-1.0-beta5...8.x-1.0-beta6)

**Fixed bugs:**

- Fatal Error When Defining Library For Pattern [\#67](https://github.com/nuvoleweb/ui_patterns/issues/67)
- Recursion \(max function nesting level\) [\#53](https://github.com/nuvoleweb/ui_patterns/issues/53)

**Closed issues:**

- Refactor tests [\#69](https://github.com/nuvoleweb/ui_patterns/issues/69)

**Merged Pull Requests**

- Allow multiple sources to be mapped to the same destination \#81 [\#82](https://github.com/nuvoleweb/ui_patterns/pull/82) ([ademarco](https://github.com/ademarco))
- Use TypedData API to define and validate pattern definitions \#78 [\#79](https://github.com/nuvoleweb/ui_patterns/pull/79) ([ademarco](https://github.com/ademarco))
- Make patterns actual objects \#71 [\#72](https://github.com/nuvoleweb/ui_patterns/pull/72) ([ademarco](https://github.com/ademarco))
- Refactor tests \#69 [\#70](https://github.com/nuvoleweb/ui_patterns/pull/70) ([ademarco](https://github.com/ademarco))
- Refactor pattern plugins to use derivatives \#66 [\#68](https://github.com/nuvoleweb/ui_patterns/pull/68) ([ademarco](https://github.com/ademarco))
- Add pattern layout hook suggestions \#63 [\#64](https://github.com/nuvoleweb/ui_patterns/pull/64) ([ademarco](https://github.com/ademarco))

## [8.x-1.0-beta5](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-beta5) (2017-02-08)
[Full Changelog](https://github.com/nuvoleweb/ui_patterns/compare/8.x-1.0-beta4...8.x-1.0-beta5)

**Fixed bugs:**

- Support preview views UI  [\#54](https://github.com/nuvoleweb/ui_patterns/issues/54)

**Closed issues:**

- Twig Error Loader: Unable to find template in ui\_patterns/template [\#58](https://github.com/nuvoleweb/ui_patterns/issues/58)
- Use generic .twig extension for a better integration with tools like PatternLab [\#49](https://github.com/nuvoleweb/ui_patterns/issues/49)

**Merged Pull Requests**

- Support preview views UI \#54 [\#60](https://github.com/nuvoleweb/ui_patterns/pull/60) ([ademarco](https://github.com/ademarco))
- Recursion \(max function nesting level\) \#53 [\#59](https://github.com/nuvoleweb/ui_patterns/pull/59) ([ademarco](https://github.com/ademarco))
- Allow libraries to be defined on pattern definitions \#34 [\#52](https://github.com/nuvoleweb/ui_patterns/pull/52) ([ademarco](https://github.com/ademarco))
- fixed a broken sentence. [\#47](https://github.com/nuvoleweb/ui_patterns/pull/47) ([Grienauer](https://github.com/Grienauer))

## [8.x-1.0-beta4](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-beta4) (2017-01-28)
[Full Changelog](https://github.com/nuvoleweb/ui_patterns/compare/8.x-1.0-beta3...8.x-1.0-beta4)

**Closed issues:**

- Add example theme [\#29](https://github.com/nuvoleweb/ui_patterns/issues/29)

**Merged Pull Requests**

- Add example theme \#29 [\#46](https://github.com/nuvoleweb/ui_patterns/pull/46) ([ademarco](https://github.com/ademarco))
- Allow preview values to be empty \#43 [\#45](https://github.com/nuvoleweb/ui_patterns/pull/45) ([ademarco](https://github.com/ademarco))
- Add Twig function to render patterns in templates \#38 [\#41](https://github.com/nuvoleweb/ui_patterns/pull/41) ([ademarco](https://github.com/ademarco))
- Add hashes to preview render arrays recursively \#39 [\#40](https://github.com/nuvoleweb/ui_patterns/pull/40) ([aleksip](https://github.com/aleksip))
- Add a Gitter chat badge to README.md [\#30](https://github.com/nuvoleweb/ui_patterns/pull/30) ([gitter-badger](https://github.com/gitter-badger))

## [8.x-1.0-beta3](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-beta3) (2017-01-25)
[Full Changelog](https://github.com/nuvoleweb/ui_patterns/compare/8.x-1.0-beta2...8.x-1.0-beta3)

**Closed issues:**

- \[IMPORTANT\] Rename pattern theme prefix from "pattern\_\_" to "pattern\_" [\#36](https://github.com/nuvoleweb/ui_patterns/issues/36)

**Merged Pull Requests**

- \[IMPORTANT\] Rename pattern theme prefix from "pattern\_\_" to "pattern\_" \#36 [\#37](https://github.com/nuvoleweb/ui_patterns/pull/37) ([ademarco](https://github.com/ademarco))
- Add theme hook suggestions \#31 [\#32](https://github.com/nuvoleweb/ui_patterns/pull/32) ([ademarco](https://github.com/ademarco))

## [8.x-1.0-beta2](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-beta2) (2017-01-23)
[Full Changelog](https://github.com/nuvoleweb/ui_patterns/compare/8.x-1.0-beta1...8.x-1.0-beta2)

**Closed issues:**

- Improve documentation [\#25](https://github.com/nuvoleweb/ui_patterns/issues/25)
- Fix warning when saving view mode layouts [\#9](https://github.com/nuvoleweb/ui_patterns/issues/9)

**Merged Pull Requests**

- Improve pattern definition validation \#20 [\#27](https://github.com/nuvoleweb/ui_patterns/pull/27) ([ademarco](https://github.com/ademarco))
- Improve documentation \#25 [\#26](https://github.com/nuvoleweb/ui_patterns/pull/26) ([ademarco](https://github.com/ademarco))
- Allow Twig namespaces in pattern definitions in order to override pattern template file \#14 [\#24](https://github.com/nuvoleweb/ui_patterns/pull/24) ([ademarco](https://github.com/ademarco))
- Support for finding templates in subfolders \#16 [\#23](https://github.com/nuvoleweb/ui_patterns/pull/23) ([ademarco](https://github.com/ademarco))
- Allow multiple pattern definition files \#15 [\#22](https://github.com/nuvoleweb/ui_patterns/pull/22) ([aleksip](https://github.com/aleksip))
- Provide Display Suite field template plugin \#7 [\#21](https://github.com/nuvoleweb/ui_patterns/pull/21) ([ademarco](https://github.com/ademarco))
- Add a new pattern render element \#12 [\#19](https://github.com/nuvoleweb/ui_patterns/pull/19) ([ademarco](https://github.com/ademarco))
- Integrate patterns with views \#8 [\#18](https://github.com/nuvoleweb/ui_patterns/pull/18) ([ademarco](https://github.com/ademarco))
- Add mapping source plugin \#5 [\#11](https://github.com/nuvoleweb/ui_patterns/pull/11) ([ademarco](https://github.com/ademarco))

## [8.x-1.0-beta1](https://github.com/nuvoleweb/ui_patterns/tree/8.x-1.0-beta1) (2017-01-09)
**Closed issues:**

- Add tests for paragraphs and field groups [\#6](https://github.com/nuvoleweb/ui_patterns/issues/6)
- Use Bootstrap as base theme for demo site [\#3](https://github.com/nuvoleweb/ui_patterns/issues/3)



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*